### Method

# Ide HighlightIndex lookup

#### Declaration

    gpointer
    ide_highlight_index_lookup (
      IdeHighlightIndex* self,
      const gchar* word
    )

#### Description

Gets the pointer tag that was registered for `word`, or `NULL`. This can be any arbitrary value. Some highlight engines might use it to point at internal structures or strings they know about to optimize later work.

Available since: | 3.32

#### Parameters

`word` | `const gchar*`
| No description available.
| The data is owned by the caller of the function.
| The value is a NUL terminated UTF-8 string.

#### Return value

Returns: | `gpointer`
| Highlighter specific tag.
| The data is owned by the instance.
| The return value can be `NULL`.